There should be no red in the following (note: form styling should be enabled).
input: FAIL FAIL FAIL FAIL
password: FAIL FAIL FAIL FAIL
checkbox: FAIL FAIL FAIL FAIL
radio: FAIL FAIL FAIL FAIL
submit: FAIL FAIL FAIL FAIL
reset: FAIL FAIL FAIL FAIL
file: FAIL FAIL FAIL FAIL
hidden: FAIL FAIL FAIL FAIL
image: FAIL FAIL FAIL FAIL
button (input): FAIL FAIL FAIL FAIL
textarea: FAIL FAIL FAIL FAIL
button:
FAIL
FAIL
FAIL
FAIL
select:
FAIL
FAIL
FAIL
FAIL
option:
optgroup: